/********************************* (C) РОТЕК ***********************************
 * @module  trap_params
 * @file    trap_params.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   trap_params
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef TRAP_PARAMS_H
#define TRAP_PARAMS_H

/**
  * @brief  Нормализация напряжения на АКБ
  */
void GetBatteryVoltageNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryVoltageAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatterySimmetryNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatterySimmetryAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryControlChanged(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryChargeControlChanged(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryCurrentNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryCurrentAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryTemperatureNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryTemperatureAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetDoorNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetDoorAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetLoadVoltageNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetLoadVoltageAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetLoadCurrentNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetLoadCurrentAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetLoadControlChanged(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetTemperatureNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetTemperatureAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetPPSOutVoltageNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetPPSOutVoltageAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetPPSOutCurrentNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetPPSOutCurrentAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetPPSControlChanged(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetCheck220VACNorm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetCheck220VACAlarm(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetDeviceRestored(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetDeviceRebooted(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetModeChanged(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryTimeout(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetFWVersionUpdate(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetFWVersionUpdated(char *str, uint8_t *len);

/**
  * @brief  
  */
void GetBatteryProfilaction(char *str, uint8_t *len);


#endif /* #ifndef TRAP_PARAMS_H */

/********************************* (C) РОТЕК **********************************/